#if TOOLS
using Godot;

public partial class FlatModsInspector : EditorInspectorPlugin
{
    public override bool _CanHandle(GodotObject @object)
    {
        return true;
    }
    public override bool _ParseProperty(GodotObject @object, Variant.Type type, string name, PropertyHint hintType, string hintString, PropertyUsageFlags usageFlags, bool wide)
    {
        if (hintString == "FloatModifiers")
        {
            AddPropertyEditor(name, new FloatModsProperty());
            return true;
        }
        return false;
    }

}


#endif